Subject: [Tomas Volf] Re: [PATCH (WIP) 0/4] Add 'guix fork'.

From: 45mg <[email-masked]>
Date: Fri, 31 Jan 2025 21:22:50 +0000

Forwarding this from the previous thread.

-------------------- Start of forwarded message --------------------
From: Tomas Volf <[email-masked]>
To: 45mg <[email-masked]>
Cc: [email-masked],  Liliana Marie Prikler
 <[email-masked]>,  Ricardo Wurmus <[email-masked]>,  Attila
 Lendvai <[email-masked]>,  Nicolas Graves <[email-masked]>
Subject: Re: [PATCH (WIP) 0/4] Add 'guix fork'.
Date: Fri, 31 Jan 2025 21:51:29 +0100

45mg <[email-masked]> writes:

> The code here adapts certain procedures from Tomas Volf's original 'fork-guix'
> script [6]; namely: '-->', 'invoke/c', 'create-keyring-branch', 'git-C', and
> 'git-C/c'. That script is licensed under AGPL, so my understanding is that it,
> or the procedures I used from it, would need to be relicensed under GPLv3 to
> be included into Guix. Tomas - could you confirm here that you're willing to
> do so, as we discussed earlier? (Note that I didn't ask you about the last two
> of the five procedures above, since I hadn't used them yet at the
> time.)

I hereby declare the above mentioned procedures to be dual licensed
under AGPL-3.0-only and GPL-3.0-or-later.

That should remove any possible licensing issues for merging this
patch. ^_^

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.
-------------------- End of forwarded message --------------------